summaryrefslogtreecommitdiffstats
path: root/initscript/fedora/avahi-daemon.in
diff options
context:
space:
mode:
authorJames Laska <jlaska@redhat.com>2010-06-25 03:25:16 +0200
committerLennart Poettering <lennart@poettering.net>2010-06-25 03:43:37 +0200
commit5f758a9a653821dc377ca4b97e2856dea11f5d0c (patch)
treea988df0846e852130a7ea78ba132fe0fff722a32 /initscript/fedora/avahi-daemon.in
parent908e491f7d55209acfbb2595ab1ef5b24502d641 (diff)
init: fix fedora init script handling for PIDFILE (rhbz#600430)
Diffstat (limited to 'initscript/fedora/avahi-daemon.in')
-rw-r--r--initscript/fedora/avahi-daemon.in45
1 files changed, 19 insertions, 26 deletions
diff --git a/initscript/fedora/avahi-daemon.in b/initscript/fedora/avahi-daemon.in
index c5b3230..b1b6124 100644
--- a/initscript/fedora/avahi-daemon.in
+++ b/initscript/fedora/avahi-daemon.in
@@ -1,16 +1,17 @@
-#! /bin/sh
+#!/bin/sh
#
-# avahi-daemon: Starts the Avahi Daemon
+# avahi-daemon: Starts the Avahi Daemon
#
-# chkconfig: 345 24 02
+# chkconfig: 345 24 02
# description: This is a daemon which runs on client machines to perform \
# Zeroconf service discovery on a network. avahi-daemon must be \
# running on systems that use Avahi for service discovery. \
# Avahi-daemon should not be running otherwise.
# processname: avahi-daemon
-# config:
+# pidfile: @localstatedir@/run/avahi-daemon/pid
AVAHI_BIN=@sbindir@/avahi-daemon
+AVAHI_OPTS="-D"
if [ "$1" = 'status' ]; then
test -x $AVAHI_BIN || exit 4
@@ -18,13 +19,13 @@ else
test -x $AVAHI_BIN || exit 5
fi
-OTHER_AVAHI_OPTS=""
-
# Source function library.
. /etc/init.d/functions
. /etc/sysconfig/network
-LOCKFILE=/var/lock/subsys/avahi-daemon
+LOCKFILE=@localstatedir@/lock/subsys/avahi-daemon
+PIDFILE=@localstatedir@/run/avahi-daemon/pid
+RETVAL=0
base=${0##*/}
@@ -36,33 +37,26 @@ start() {
if [ -s /etc/localtime ]; then
cp -fp /etc/localtime /etc/avahi/etc >/dev/null 2>&1
fi;
- $AVAHI_BIN -D
- RETVAL=$?
- if [ $RETVAL = 0 ]; then
- touch $LOCKFILE
- success $"$base startup"
- else
- failure $"$base startup"
- fi
- echo
+ daemon --pidfile=${PIDFILE} $AVAHI_BIN $AVAHI_OPTS
+ RETVAL=$?
+ echo
+ [ $RETVAL -eq 0 ] && touch ${LOCKFILE}
return $RETVAL
}
stop() {
echo -n $"Shutting down Avahi daemon: "
- $AVAHI_BIN -k
- RETVAL=$?
- [ $RETVAL = 0 ] && success $"$base shutdown" || failure $"$base shutdown"
- rm -f $LOCKFILE
- echo
+ killproc -p ${PIDFILE} $AVAHI_BIN
+ RETVAL=$?
+ [ $RETVAL -eq 0 ] && rm -f ${LOCKFILE} ${PIDFILE}
+ echo
return $RETVAL
}
reload() {
echo -n $"Reloading Avahi daemon... "
- $AVAHI_BIN -r
+ killproc -p ${PIDFILE} $AVAHI_BIN -HUP
RETVAL=$?
- [ $RETVAL = 0 ] && success $"$base reload" || failure $"$base reload"
echo
return $RETVAL
}
@@ -83,9 +77,8 @@ case "$1" in
stop
;;
status)
- $AVAHI_BIN -c
- RETVAL=$?
- [ $RETVAL = 0 ] && echo $"Avahi daemon is running" || echo $"Avahi daemon is not running"
+ status -p ${PIDFILE} $AVAHI_BIN
+ RETVAL=$?
;;
restart)
restart